Part3 Developers

Project report summary

GET /organization/{orgId}/project/{projectId}/report-summary

Report counts for a project

GET
/organization/{orgId}/project/{projectId}/report-summary
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Organization ID. For web-app users it is the active org context; for OAuth clients it is a scoped org.

projectId*string

Project ID. Returned from GET /v1/organization/{orgId}/project. Must belong to the org in the path.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.part3.io/v1/organization/org_8a1b2c3d4e/project/proj_5f9a3c2e8b/report-summary"
{
  "total": 42,
  "byType": {
    "report": {
      "total": 30,
      "statuses": {
        "draft": 4,
        "issued": 26
      }
    },
    "minute": {
      "total": 12,
      "statuses": {
        "issued": 12
      }
    }
  }
}
{
  "error": "Insufficient permissions"
}
{
  "error": "Insufficient permissions"
}